Package org.springframework.security.web.webauthn.management

# Class ImmutableRelyingPartyRegistrationRequest

java.lang.Object
org.springframework.security.web.webauthn.management.ImmutableRelyingPartyRegistrationRequest

All Implemented Interfaces:
  `RelyingPartyRegistrationRequest`

public class ImmutableRelyingPartyRegistrationRequest extends Object implements RelyingPartyRegistrationRequest
Contains the information necessary to register a new Credential.

Since:
  6.4
See Also:
  - `Webauthn4JRelyingPartyOperations.registerCredential(RelyingPartyRegistrationRequest)`

## Constructor Summary

Constructors
Constructor
Description
`ImmutableRelyingPartyRegistrationRequest(PublicKeyCredentialCreationOptions options, RelyingPartyPublicKey publicKey)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialCreationOptions`
`getCreationOptions()`
`RelyingPartyPublicKey`
`getPublicKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImmutableRelyingPartyRegistrationRequest

public ImmutableRelyingPartyRegistrationRequest(PublicKeyCredentialCreationOptions options, RelyingPartyPublicKey publicKey)
Creates a new instance.

Parameters:
  `options` - the `PublicKeyCredentialCreationOptions` that were saved when `WebAuthnRelyingPartyOperations.createCredentialRequestOptions(PublicKeyCredentialRequestOptionsRequest)` was called.
  `publicKey` - this is submitted by the client and if validated stored.

## Method Details

### getCreationOptions

public PublicKeyCredentialCreationOptions getCreationOptions()

Specified by:
  `getCreationOptions` in interface `RelyingPartyRegistrationRequest`

### getPublicKey

public RelyingPartyPublicKey getPublicKey()

Specified by:
  `getPublicKey` in interface `RelyingPartyRegistrationRequest`